Vsan Phone Home System Vsan Query LSO Mwbsize

Vsan Phone Home System Vsan Query LSO Mwbsize
It is a VC level API that iterates over all hosts in the clusters to get LSOM wbSize through the host level API.

It is a VC level API that iterates over all hosts in the clusters to get LSOM wbSize through the host level API.

Only supported in vSAN OSA Example: { host-29 :{ "5257a570-922c-9a38-e79a-3ab2871ab0b8": { "wbSize": 16105168896 }, "521530b5-91cf-0dfe-d469-9cdfc9146b64": { "wbSize": 0 }, "521446ca-e8bb-e369-912c-abb02b97001f": { "wbSize": 0 }, }, host-30:{ "5257a570-922c-9a38-e79a-3ab2871ab0b8": { "wbSize": 16105168896 }, "521530b5-91cf-0dfe-d469-9cdfc9146b64": { "wbSize": 0 }, "521446ca-e8bb-e369-912c-abb02b97001f": { "wbSize": 0 } } }

Since: 8.0.0.4

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanPhoneHomeSystem/{moId}/VsanQueryLSOMwbsize
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanPhoneHomeSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanQueryLSOMwbsizeRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

500

Failure

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanPhoneHomeSystem/{moId}/VsanQueryLSOMwbsize